## com.bbn.openmap.geo
Class MatchFilter.ExactMF

    java.lang.Object
      com.bbn.openmap.geo.MatchFilter.ExactMF

All Implemented Interfaces:
  MatchFilter

Enclosing class:
  MatchFilter

public static class MatchFilter.ExactMF
extends java.lang.Object
implements MatchFilter

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.geo.MatchFilter
`MatchFilter.ExactMF, MatchFilter.MatchParametersMF`

Constructor Summary
`MatchFilter.ExactMF()`

Method Summary
`double` `getHRange()` the distance (in radians) to consider two objects to be interacting, that is, intersecting for our purposes.
`boolean` `preConsider(GeoExtent seg, GeoExtent region)` do inexpensive comparisons to determine if the two elements might intersect.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchFilter.ExactMF

    public MatchFilter.ExactMF()

Method Detail

### getHRange

    public double getHRange()

  Description copied from interface: `MatchFilter`
  the distance (in radians) to consider two objects to be interacting, that is, intersecting for our purposes.

  Specified by:
    `getHRange` in interface `MatchFilter`
  Returns:
    the maximum distance to consider touching. Must be non-negative.

### preConsider

    public boolean preConsider(GeoExtent seg,
                               GeoExtent region)

  Description copied from interface: `MatchFilter`
  do inexpensive comparisons to determine if the two elements might intersect.

  Specified by:
    `preConsider` in interface `MatchFilter`
  Returns:
    true iff further checks might yield intersection.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details